mod utils;
mod day01;
mod day02;
mod day03;
mod day04;
mod day05;
mod day06;

const CONTENT01: &'static str = include_str!("input/day01/input01");
const CONTENT02: &'static str = include_str!("input/day02/input01");
const CONTENT03: &'static str = include_str!("input/day03/input01");
const CONTENT04: &'static str = include_str!("input/day04/input01");
const CONTENT05: &'static str = include_str!("input/day05/input01");
const CONTENT06: &'static str = include_str!("input/day06/input01");

fn main() {
    day01::execute_task01(&CONTENT01);
    day01::execute_task02(&CONTENT01);

    day02::execute_task01(&CONTENT02);
    day02::execute_task02(&CONTENT02);

    day03::execute_task01(&CONTENT03);
    day03::execute_task02(&CONTENT03);

    day04::execute_task01(&CONTENT04);
    day04::execute_task02(&CONTENT04);

    day05::execute_task01(&CONTENT05);
    day05::execute_task02(&CONTENT05);

    day06::execute_task01(&CONTENT06);
    day06::execute_task02(&CONTENT06);
}
